{***************************************************************************
 *   Copyright (C) 2006-2011 by Bernhard Gross                             *
 *   Bernhard.Gross@MICOS-Online.com                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License.        *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************}

program polluxterm;

{$mode objfpc}{$H+}
{  $IFDEF WINDOWS}
{  $R *.res}
{ $ENDIF}
uses
  {$IFDEF UNIX}{$IFDEF UseCThreads}
  cthreads,
  {$ENDIF}{$ENDIF}
  Interfaces, // this includes the LCL widgetset
  Forms
  { add your units here }, u_main, u_about, u_port, u_export_cfg, u_showcon,
  u_waittime, u_calc, u_chginc, u_venus, u_delay, u_pause, u_options, u_update,
  u_license, u_thanks, u_editline, u_vc2help, u_editvc2, u_usrbtn, u_editbutton,
  u_scalefactors, u_systemunit, u_dlclone, u_createclone, u_dbgbtn, u_editccfg,
  u_unknown_ctrl, u_cfg_uservar, u_cfg_powerup, u_cfg_stages, u_cfg_cl,
  u_cldiag, u_upgrade, u_speedmode, u_cfg_dynamic_parm, u_handwheel;

{$R *.res}

begin
  Application.Title:='PolluxTerm';
  Application.Initialize;
  Application.CreateForm(TF_main, f_main);
  Application.CreateForm(TF_about, f_about);
  Application.CreateForm(TF_Comport, f_Comport);
  Application.CreateForm(TF_export, f_export);
  Application.CreateForm(TF_consts, f_consts);
  Application.CreateForm(TF_waittime, f_waittime);
  Application.CreateForm(TF_Calc, f_Calc);
  Application.CreateForm(Tf_chginc, f_chginc);
  Application.CreateForm(TF_Venus, f_Venus);
  Application.CreateForm(TF_delay, f_delay);
  Application.CreateForm(TF_pause, f_pause);
  Application.CreateForm(TF_opt, f_opt);
  Application.CreateForm(Tf_update, f_update);
  Application.CreateForm(Tf_license, f_license);
  Application.CreateForm(Tf_thanks, f_thanks);
  Application.CreateForm(Tf_editline, f_editline);
  Application.CreateForm(Tf_vc2help, f_vc2help);
  Application.CreateForm(Tf_editvc2, f_editvc2);
  Application.CreateForm(Tf_usrbtn, f_usrbtn);
  Application.CreateForm(Tf_editbutton, f_editbutton);
  Application.CreateForm(Tf_scale, f_scale);
  Application.CreateForm(Tf_system, f_system);
  Application.CreateForm(Tf_dlclone, f_dlclone);
  Application.CreateForm(Tf_mkclone, f_mkclone);
  Application.CreateForm(Tf_dbgbtn, f_dbgbtn);
  Application.CreateForm(Tf_editccfg,f_editccfg);
  Application.CreateForm(Tf_unknown_ctrl,f_unknown_ctrl);
  Application.CreateForm(Tf_uservar, f_uservar);
  Application.CreateForm(Tf_powerup, f_powerup);
  Application.CreateForm(Tf_stages, f_stages);
  Application.CreateForm(Tf_cfgcl, f_cfgcl);
  Application.CreateForm(Tf_cldiag, f_cldiag);
  Application.CreateForm(Tf_speedup, f_speedup);
  Application.CreateForm(Tf_speedmode, f_speedmode);
  Application.CreateForm(Tf_cfg_dynamic_parm, f_cfg_dynamic_parm);
  Application.CreateForm(Tf_handwheel, f_handwheel);
  Application.Run;
end.

