{***************************************************************************
 *   Copyright (C) 2006-2013 by Bernhard Gross                             *
 *   b.gross@pimicos.com                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License.        *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************}

unit u_vc2help;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, ComCtrls,
  Buttons,u_exchange;

type

  { Tf_vc2help }

  Tf_vc2help = class(TForm)
    btn_close: TBitBtn;
    trv_help: TTreeView;
    procedure FormShow(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  f_vc2help: Tf_vc2help;

implementation

{ Tf_vc2help }

procedure Tf_vc2help.FormShow(Sender: TObject);
begin
  trv_help.Items.Clear;
  trv_help.LoadFromFile(ProgramDir+DirSep+'controller'+DirSep+ctrl_dir+DirSep+'vc2-help.txt');
  trv_help.TopItem.Index:=0;
  trv_help.Selected:= trv_help.Items[0];
end;



initialization
  {$I u_vc2help.lrs}

end.

