{***************************************************************************
 *   Copyright (C) 2008-2013 by Bernhard Gross                             *
 *   B.Gross@pimicos.com                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License.        * 
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************}

unit u_dbgbtn;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  StdCtrls, Buttons,u_dbg, u_exchange;

type

  { Tf_dbgbtn }

  Tf_dbgbtn = class(TForm)
    btn_ok: TBitBtn;
    btn_cncl: TBitBtn;
    cb_tm_stmp: TCheckBox;
    Label1: TLabel;
    Label2: TLabel;
    Memo1: TMemo;
    procedure btn_okClick(Sender: TObject);
    procedure cb_tm_stmpChange(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  f_dbgbtn: Tf_dbgbtn;

implementation

{ Tf_dbgbtn }

procedure Tf_dbgbtn.cb_tm_stmpChange(Sender: TObject);
begin
 tm_stmp:=cb_tm_stmp.Checked;
end;

procedure Tf_dbgbtn.btn_okClick(Sender: TObject);
begin
 tmr_strt:=true;
end;

procedure Tf_dbgbtn.FormShow(Sender: TObject);
begin
 btn_ok.Enabled:=not dbg_rdy;
 cb_tm_stmp.Checked:=tm_stmp;
end;

initialization
  {$I u_dbgbtn.lrs}

end.

