{***************************************************************************
 *   Copyright (C) 2006-2013 by Bernhard Gross                             *
 *   b.gross@pimicos.com                                                   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License.        *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************}

unit u_showcon;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs, ComCtrls,
  Buttons;

type

  { Tf_consts }

  Tf_consts = class(TForm)
    btn_cancel: TBitBtn;
    pgb_connnect: TProgressBar;
    procedure btn_cancelClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { private declarations }
  public
    con_abbr:boolean;
    { public declarations }
  end; 

var
  f_consts: Tf_consts;

implementation

{ Tf_consts }

procedure Tf_consts.btn_cancelClick(Sender: TObject);
begin
  con_abbr:=true;
  close;
end;

procedure Tf_consts.FormShow(Sender: TObject);
begin
  Application.ProcessMessages;
  pgb_connnect.Color:=clLime;
end;

initialization
  {$I u_showcon.lrs}

end.

